<!doctype html>
<html lang="cs" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" th:href="@{/css/styles.css}"/>
    <title>Nový příspěvek</title>
</head>
<body>
<nav class="navbar navbar-expand-lg  navbar-dark bg-dark">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">

            <li class="nav-item" th:if="${admin}">
                <a class="nav-link" th:href="@{/admin/categories}">Kategorie</a>
            </li>
            <li class="nav-item" th:if="${admin}">
                <a class="nav-link" th:href="@{/admin/users}">Uživatelé</a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" th:href="@{/articles}">Příspěvky</a>
            </li>
            <li>
                    <form th:action="@{/logout}" method="get">
                        <button class="btn btn-md btn-danger btn-right " name="registration"
                                type="Submit">Logout
                        </button>
                    </form>
            </li>
        </ul>
    </div>
</nav>
<div class="content">
    <h1>Nový příspěvek</h1>
            <form autocomplete="off" action="#" th:action="@{/user/article}" th:object="${article}" method="post" class="form-horizontal" role="form">
                <input type="hidden" th:field="*{articleId}" class="form-control"/>
                <div class="form-group">
                    <div class="col-4">
                        <label th:if="${#fields.hasErrors('title')}" th:errors="*{title}" class="validation-message"></label>
                        <input type="text" th:field="*{title}" placeholder="Title" class="form-control"/>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-5">
                        <label th:if="${#fields.hasErrors('text')}" th:errors="*{text}" class="validation-message"></label>
                        <textarea type="text" th:field="*{text}" placeholder="Text" class="form-control"/>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-4">
                        <label th:if="${#fields.hasErrors('category')}" th:errors="*{category}" class="validation-message"></label>
                        <select th:field="${article.category.categoryId}" >
                            <option th:each="category : ${categories}" th:value="${category .categoryId}" th:text="${category.name}"></option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-1">
                        <button type="submit" class="btn btn-primary btn-block">
                            <span th:utext="${buttonType}"></span>
                        </button>
                    </div>
                </div>
                <div class="col-1">
                    <a style="color:white" href="/articles">
                        <button type="button" class="btn btn-dark">Zpět</button>
                    </a>
                </div>
                <h2><span class="text-success" th:utext="${successMessage}"></span></h2>
            </form>
</div>
</body>
</html>